/*
 * Copyright 2013 Victor Nazarov <asviraspossible@gmail.com>.
 */
package org.github.sviperll.stream;

import com.github.sviperll.Consumer;
import java.util.Iterator;

/**
 *
 * @author Victor Nazarov <asviraspossible@gmail.com>
 */
public interface StreamBehaviour<T> {
    Iterator<T> openIterator();
    void forEach(Consumer<? super T> consumer);
}
